summaryrefslogtreecommitdiff
path: root/sys-power
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2021-01-01 21:38:40 +0000
committerV3n3RiX <venerix@redcorelinux.org>2021-01-01 21:38:40 +0000
commitf6984b72ee0c50bf2c43037fd69192106c845204 (patch)
treecaae25c85b773c20677a562005a04b98485d964e /sys-power
parent15033ca2b75c3bdf18d9815262599fc695d0dcde (diff)
sys-power/radeon-profile : EAPI && version bump
Diffstat (limited to 'sys-power')
-rw-r--r--sys-power/radeon-profile/Manifest2
-rw-r--r--sys-power/radeon-profile/files/radeon-profile-20200504-run_subdir.patch30
-rw-r--r--sys-power/radeon-profile/radeon-profile-20170714-r2.ebuild52
-rw-r--r--sys-power/radeon-profile/radeon-profile-20200824-r10.ebuild64
4 files changed, 95 insertions, 53 deletions
diff --git a/sys-power/radeon-profile/Manifest b/sys-power/radeon-profile/Manifest
index e20f5f7e..46e512d1 100644
--- a/sys-power/radeon-profile/Manifest
+++ b/sys-power/radeon-profile/Manifest
@@ -1 +1 @@
-DIST radeon-profile-20170714.tar.gz 351240 BLAKE2B 4cce07bb72744a196a89db5b0280c39997b5d44686a6a72e155d3d15046ddbddcabff5b7ad1810fb9d0c6e0a03ca987c74ab17e05f9fc60307f8225af3686382 SHA512 dc7931f90143c5d565dad41ae623a687c20b3d118de1d1870d69b913d98e552601d1b3ac4da719ca5b17e1996cee743e9806c66c08e20c507208ebf398f62d27
+DIST radeon-profile-20200824.tar.gz 395416 BLAKE2B 0f1b9ac59c1e5da97cc0446d32f1fab6435d9049a5dc362d5896849e580382ede745e1759aef3ba659dec0f8f2ae12bb68f0f65313d24f9e3f4cdfa6f7d4887e SHA512 e3e9cf9aa46f81772406f7dc18a3768777b9f2ccdcda18094862183b31857099bf22e2a8b548ade5dedd04a38c8eab7a31127db3b7726adc901c7123a47f81de
diff --git a/sys-power/radeon-profile/files/radeon-profile-20200504-run_subdir.patch b/sys-power/radeon-profile/files/radeon-profile-20200504-run_subdir.patch
new file mode 100644
index 00000000..052a143e
--- /dev/null
+++ b/sys-power/radeon-profile/files/radeon-profile-20200504-run_subdir.patch
@@ -0,0 +1,30 @@
+From 576d03da0e33cdc31535cd724daaf1cdde3ac902 Mon Sep 17 00:00:00 2001
+From: Lars Wendler <polynomial-c@gentoo.org>
+Date: Wed, 8 Jul 2020 16:33:38 +0200
+Subject: [PATCH] Read radeon-profile-daemon-server socket from
+ /run/radeon-profile-daemon/
+
+Gentoo has moved the radeon-profile-daemon-server socket file into that
+subdir in order to provide secure access permissions.
+
+Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
+---
+ radeon-profile/daemonComm.cpp | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/radeon-profile/daemonComm.cpp b/radeon-profile/daemonComm.cpp
+index 21ec38f..dff00a0 100644
+--- a/radeon-profile/daemonComm.cpp
++++ b/radeon-profile/daemonComm.cpp
+@@ -34,7 +34,7 @@ void DaemonComm::sendConnectionConfirmation() {
+ void DaemonComm::connectToDaemon() {
+ qDebug() << "Connecting to daemon...";
+ signalSender->abort();
+- signalSender->connectToServer("/run/radeon-profile-daemon-server");
++ signalSender->connectToServer("/run/radeon-profile-daemon/radeon-profile-daemon-server");
+ }
+
+ void DaemonComm::disconnectDaemon() {
+--
+2.27.0
+
diff --git a/sys-power/radeon-profile/radeon-profile-20170714-r2.ebuild b/sys-power/radeon-profile/radeon-profile-20170714-r2.ebuild
deleted file mode 100644
index a741d9a3..00000000
--- a/sys-power/radeon-profile/radeon-profile-20170714-r2.ebuild
+++ /dev/null
@@ -1,52 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit eutils qmake-utils
-
-DESCRIPTION="Monitor Radeon GPU parameters and switch power profiles"
-HOMEPAGE="https://github.com/marazmista/radeon-profile"
-SRC_URI="https://github.com/marazmista/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE=""
-
-RDEPEND="dev-qt/qtcore:5
- dev-qt/qtgui:5
- dev-qt/qtwidgets:5
- dev-qt/qtcharts:5
- x11-libs/libdrm
- x11-libs/libXrandr
- x11-libs/libxkbcommon
-"
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}/${P}/${PN}
-
-src_prepare() {
- default
- sed -i "s/Categories\=System\;Monitor\;HardwareSettings\;TrayIcon\;/Categories\=System\;/g" extra/${PN}.desktop
-}
-
-src_configure() {
- eqmake5 ${PN}.pro
-}
-
-src_install() {
- dodir usr/bin
- exeinto usr/bin
- doexe ${PN}
- doexe ${FILESDIR}/${PN}-pkexec
- dodir usr/share/applications
- insinto usr/share/applications
- doins extra/${PN}.desktop
- dodir usr/share/polkit-1/actions
- insinto usr/share/polkit-1/actions
- doins ${FILESDIR}/org.redcorelinux.radeon-profile.policy
- doicon extra/${PN}.png
-
- sed -i "s/Exec=radeon-profile/Exec=radeon-profile-pkexec/g" "${D}"usr/share/applications/${PN}.desktop
- sed -i "s/Categories=System;/Categories=System;Settings;/g" "${D}"usr/share/applications/${PN}.desktop
-}
diff --git a/sys-power/radeon-profile/radeon-profile-20200824-r10.ebuild b/sys-power/radeon-profile/radeon-profile-20200824-r10.ebuild
new file mode 100644
index 00000000..1f3fddde
--- /dev/null
+++ b/sys-power/radeon-profile/radeon-profile-20200824-r10.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit qmake-utils
+
+DESCRIPTION="Read current clocks of ATi/AMD Radeon cards"
+HOMEPAGE="https://github.com/marazmista/radeon-profile"
+if [[ "${PV}" == 99999999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/marazmista/radeon-profile.git"
+else
+ SRC_URI="https://github.com/marazmista/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE=""
+
+S="${WORKDIR}/${P}/${PN}"
+
+RDEPEND="
+ dev-qt/qtcharts:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ x11-libs/libX11
+ x11-libs/libXrandr
+"
+
+DEPEND="
+ ${RDEPEND}
+ dev-qt/qtconcurrent:5
+ media-libs/mesa[X(+)]
+ x11-libs/libdrm
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-20200504-run_subdir.patch"
+)
+
+src_prepare() {
+ eapply -p2 "${PATCHES[@]}"
+ eapply_user
+ sed 's@TrayIcon;@@' -i extra/${PN}.desktop || die
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+ #dobin ${FILESDIR}/${PN}-pkexec
+ dodir usr/share/polkit-1/actions
+ insinto usr/share/polkit-1/actions
+ doins ${FILESDIR}/org.redcorelinux.radeon-profile.policy
+
+ sed -i "s/Exec=radeon-profile/Exec=radeon-profile-pkexec/g" "${D}"/usr/share/applications/${PN}.desktop
+ sed -i "s/Monitor;HardwareSettings;/Settings;/g" "${D}"/usr/share/applications/${PN}.desktop
+}